linux-lts-raring: 3.8.0-27.40~precise3 -proposed tracker

Bug #1202355 reported by Brad Figg on 2013-07-17
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Brendan Donegan
Prepare-package
Medium
Adam Conrad
Prepare-package-meta
Medium
Brad Figg
Prepare-package-signed
Medium
Brad Figg
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-raring (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.8.0-27.40~precise3 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 17. July 2013 18:54 UTC
kernel-stable-master-bug:1199128
kernel-stable-Prepare-package-end:Friday, 19. July 2013 22:05 UTC
kernel-stable-Promote-to-proposed-start:Friday, 19. July 2013 22:05 UTC
kernel-stable-Promote-to-proposed-end:Saturday, 20. July 2013 14:07 UTC
kernel-stable-Verification-testing-start:Saturday, 20. July 2013 16:07 UTC
kernel-stable-Verification-testing-end:Monday, 22. July 2013 15:04 UTC
kernel-stable-Certification-testing-start:Monday, 22. July 2013 15:04 UTC
kernel-stable-Security-signoff-start:Monday, 22. July 2013 15:05 UTC
kernel-stable-Regression-testing-start:Monday, 22. July 2013 15:04 UTC
kernel-stable-Regression-testing-end:Tuesday, 23. July 2013 18:03 UTC
kernel-stable-Certification-testing-end:Wednesday, 24. July 2013 09:03 UTC
kernel-stable-Promote-to-updates-start:Thursday, 25. July 2013 20:05 UTC
kernel-stable-Security-signoff-end:Thursday, 25. July 2013 20:05 UTC
kernel-stable-Promote-to-updates-end:Monday, 29. July 2013 11:04 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 29. July 2013 12:19 UTC

Brad Figg (brad-figg) on 2013-07-17
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu Precise):
importance: Undecided → Medium
Adam Conrad (adconrad) wrote :

Re-spun as precise3 to correct the previous build being done without an .orig.

summary: - linux-lts-raring: 3.8.0-27.40~precise2 -proposed tracker
+ linux-lts-raring: 3.8.0-27.40~precise3 -proposed tracker
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed built.

Brad Figg (brad-figg) on 2013-07-19
description: updated

The following packages ended up in the wrong component in the -proposed pocket:

linux-generic-lts-raring 3.8.0.27.27 - is in universe instead of main
linux-generic-lts-raring-eol-upgrade 3.8.0.27.27 - is in universe instead of main
linux-headers-generic-lts-raring 3.8.0.27.27 - is in universe instead of main
linux-image-generic-lts-raring 3.8.0.27.27 - is in universe instead of main
linux-tools-lts-raring 3.8.0.27.27 - is in universe instead of main

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Adam Conrad (adconrad) wrote :

Overrides for the new armhf meta packages fixed up.

Brad Figg (brad-figg) on 2013-07-20
description: updated
Brad Figg (brad-figg) on 2013-07-20
description: updated
Brad Figg (brad-figg) on 2013-07-22
description: updated
Para Siva (psivaa) wrote :

No regressions seen

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-07-23
description: updated

Hardware Certification have begun testing this -proposed kernel.

Hardware Certification have completed testing this -proposed kernel. No regressions were observed and the report is available here: http://people.canonical.com/~hwcert/sru-testing/precise/3.8.0-27.40~precise3/precise-3.8-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-07-24
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-07-25
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-raring - 3.8.0-27.40~precise3

---------------
linux-lts-raring (3.8.0-27.40~precise3) precise; urgency=low

  * Add build support for armhf
    UBUNTU: update-from-raring-master: Add armhf support
    UBUNTU: do_tools=false when cross compiling
    UBUNTU: Added armhf build and packaging support
    - LP: #1202333

  * Release Tracking Bug
    - LP: #1202355
 -- Tim Gardner <email address hidden> Wed, 17 Jul 2013 11:09:19 -0600

Changed in linux-lts-raring (Ubuntu Precise):
status: New → Fix Released
Adam Conrad (adconrad) on 2013-07-29
Changed in linux-lts-raring (Ubuntu):
status: New → Invalid
Brad Figg (brad-figg) on 2013-07-29
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers